/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NativeUIButton } from "./NativeUIButton";
import { markType } from "./type";
/**
 * @hidden
 */
export let NativeUIIconButton = /*@__PURE__*/ (() => {
    class NativeUIIconButton extends NativeUIButton {
        get_e() {
            return 10;
        }
        get a2() {
            let a = this.q(13);
            return a;
        }
        set a2(a) {
            this.ak(13, a);
        }
        get a3() {
            let a = this.q(14);
            return a;
        }
        set a3(a) {
            this.ak(14, a);
        }
    }
    NativeUIIconButton.$t = /*@__PURE__*/ markType(NativeUIIconButton, 'NativeUIIconButton', NativeUIButton.$);
    return NativeUIIconButton;
})();
